Retry transfers for a specific transfer link
curl --request POST \
--url https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_ids": [
123
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction_ids: [123]})
};
fetch('https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers"
payload = { "transaction_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transaction_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers"
payload := strings.NewReader("{\n \"transaction_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Transfers scheduled for retry.",
"data": {
"transfer_link_id": 123,
"transaction_ids": "<string>",
"blocked_transaction_ids": "<string>",
"throttled_transaction_ids": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "Failed to retry transfers.",
"data": {
"error": "<string>"
}
}Retry transfers for a specific transfer link
This endpoint allows you to retry failed transfers for a specific transfer link. Transfers are processed asynchronously. Each transaction can be retried at most once per minute, and transactions that have failed 10 or more times on the transfer link are skipped.
POST
/
transfer-links
/
{transferLinkId}
/
retry-transfers
Retry transfers for a specific transfer link
curl --request POST \
--url https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_ids": [
123
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction_ids: [123]})
};
fetch('https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers"
payload = { "transaction_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transaction_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/transfer-links/{transferLinkId}/retry-transfers"
payload := strings.NewReader("{\n \"transaction_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Transfers scheduled for retry.",
"data": {
"transfer_link_id": 123,
"transaction_ids": "<string>",
"blocked_transaction_ids": "<string>",
"throttled_transaction_ids": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "Failed to retry transfers.",
"data": {
"error": "<string>"
}
}Authorizations
oauth2http
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The transfer link ID
Body
application/json
The IDs of the transactions to retry transferring. The transactions must belong to the transfer link's financial account.
Minimum array length:
1